package eu.telecomnancy;

import org.junit.Test;
import org.junit.Before;
import static org.junit.Assert.*;

public class StudentTest {

	Student s1, s2;

	@Before
	public void setUp(){
		s1 = new Student("Danaé Seigneur", 413);
		s2 = new Student("Linecque", 612);
	}

	@Test
	public void testGetId(){
		assertEquals(413, s1.getId());
	}
	
	@Test
	public void testGetName(){
		assertEquals("Linecque", s2.getName());
	}

	@Test
	public void testSetId(){
		s1.setId(11);
		assertEquals(11, s1.getId());
	}
	
	@Test
	public void testSetName(){
		s2.setName("Danaer");
		assertEquals("Danaer", s2.getName());
	}

	@Test
	public void testToString(){
		assertEquals("413 : Danaé Seigneur\n", s1.toString());
	}

	@Test
	public void testEquals(){
		assertFalse(s1.equals(s2));
		s1.setId(11);
		s2.setId(11);
		s1.setName("Danaer");
		s2.setName("Danaer");
		assertTrue(s1.equals(s2));
	}

}
